import { NextApiHandler, NextConfig } from 'next';
import { NodeOptions } from '@highlight-run/node';

declare const Highlight: (options?: NodeOptions) => <T>(origHandler: NextApiHandler<T>) => NextApiHandler<T>;

interface HighlightConfigOptions {
    uploadSourceMaps?: boolean;
    configureHighlightProxy?: boolean;
    apiKey?: string;
    appVersion?: string;
    sourceMapsPath?: string;
    sourceMapsBasePath?: string;
}
declare const withHighlightConfig: (config: NextConfig, highlightOpts?: HighlightConfigOptions) => NextConfig;

export { Highlight, withHighlightConfig };
